"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getErrorMessage = getErrorMessage;
exports.hasValidAuthorities = hasValidAuthorities;
const axios_1 = require("axios");
function getErrorMessage(e) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j;
    if ((0, axios_1.isAxiosError)(e)) {
        // this is a timeout error POST /code, don't show as error, GET new code
        if (((_a = e.config) === null || _a === void 0 ? void 0 : _a.method) === 'post' && ((_b = e.response) === null || _b === void 0 ? void 0 : _b.status) === 408) {
            return { message: undefined, kind: 'TIMEOUT' };
        }
        if (((_c = e.response) === null || _c === void 0 ? void 0 : _c.status) === 404 ||
            ((_f = (_e = (_d = e.response) === null || _d === void 0 ? void 0 : _d.data) === null || _e === void 0 ? void 0 : _e.description) === null || _f === void 0 ? void 0 : _f.includes('Cannot determine module'))) {
            return { message: 'Module not found', kind: 'INVALID_MODULE' };
        }
        console.warn(e);
        return {
            message: ((_g = e.response) === null || _g === void 0 ? void 0 : _g.data.message) ||
                ((_h = e.response) === null || _h === void 0 ? void 0 : _h.data.error) ||
                ((_j = e.response) === null || _j === void 0 ? void 0 : _j.data.description),
            kind: 'UNKNOWN',
        };
    }
    return {
        message: e instanceof Error ? e.toString() : 'Unknown error',
        kind: 'UNKNOWN',
    };
}
function hasValidAuthorities({ acceptedAuthorities, authorities, }) {
    if (!(acceptedAuthorities === null || acceptedAuthorities === void 0 ? void 0 : acceptedAuthorities.length)) {
        return true;
    }
    return authorities === null || authorities === void 0 ? void 0 : authorities.some((a) => acceptedAuthorities.some((accepted) => {
        if (typeof accepted === 'string') {
            return accepted === a;
        }
        if (accepted instanceof RegExp) {
            return accepted.test(a);
        }
        return false;
    }));
}
