import React, { Fragment, useContext } from 'react';
import ConfigContext from './ConfigContext';
export default function SignIn({ labels, }) {
    const _configContext = useContext(ConfigContext);
    if (!_configContext) {
        return (React.createElement(Fragment, null, (labels === null || labels === void 0 ? void 0 : labels.noConfiguration) || 'Configuration should be provided'));
    }
    const config = _configContext;
    function onSignIn() {
        const url = config.baseUrl + '/user-service/auth-init/' + config.tenantAuthConfig;
        console.log(url);
        window.open(url, 'signinwindow', 'width=450,height=550');
    }
    return (React.createElement("button", { onClick: onSignIn }, (labels === null || labels === void 0 ? void 0 : labels.signIn) || 'Sign in / register'));
}
